## NULL predicate

By specifying a NULL predicate, you can test whether the value is a NULL value.

### Syntax

<null_predicate> ::= <expression> IS [NOT] NULL

### Examples

SQL Tutorial, Negative Conditions: NOT

### Explanation

The truth content of a NULL predicate is either true or false.

| Result of the function x IS NULL
x is NULL value | true
x is a special NULL value | false

x IS NOT NULL has the same result as NOT(x IS NULL).